## cloud-init 24.2

=== requirements.txt ===
# Pypi requirements for cloud-init to work

# Used for untemplating any files or strings with parameters.
jinja2

# This one is currently only used by the MAAS datasource. If that
# datasource is removed, this is no longer needed
oauthlib

# This one is currently used only by the CloudSigma and SmartOS datasources.
# If these datasources are removed, this is no longer needed.
#
pyserial

# This is only needed for places where we need to support configs in a manner
# that the built-in config parser is not sufficent (ie
# when we need to preserve comments, or do not have a top-level
# section)...
configobj>=5.0.2

# All new style configurations are in the yaml format
pyyaml

# Requests handles ssl correctly!
requests

# For patching pieces of cloud-config together
jsonpatch

# For validating cloud-config sections per schema definitions
jsonschema

=== debian/changelog ===
cloud-init (24.2-1) unstable; urgency=medium

  * New upstream version 24.2
  * Refresh patches

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Jul 2024 11:20:58 -0700

cloud-init (24.1.7-3) unstable; urgency=medium

  * Add Conflicts/Replaces relationship on cloud-init-22.4.2
  * Build-Depend on pkgconf and systemd-dev | systemd (Closes: #1073747)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Jun 2024 13:46:32 -0700

cloud-init (24.1.7-2) unstable; urgency=medium

  * Incorporate upstream fix for test failures in non-networked environments

 -- Noah Meyerhans <noahm@debian.org>  Thu, 13 Jun 2024 14:00:02 -0700

cloud-init (24.1.7-1) unstable; urgency=medium

  * New upstream version 24.1.7

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Jun 2024 13:02:15 -0700

=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 iproute2,
 passwd,
 po-debconf,
 procps <!nocheck>,
 pkgconf,
 pylint,
 python3-all,
 python3-pep8,
 python3-setuptools,
 systemd-dev | systemd,
Build-Depends-Indep:
 python3-configobj,
 python3-httpretty (>= 0.9.5),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-netifaces,
 python3-oauthlib,
 python3-passlib,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-responses,
 python3-serial,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-init
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Conflicts: firewalld, cloud-init-22.4.2
Replaces: cloud-init-22.4.2
Depends:
 eject,
 fdisk | util-linux (<< 2.29.2-3~),
 gdisk,
 udhcpc | isc-dhcp-client,
 locales,
 lsb-release,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cloud-guest-utils,
 eatmydata,
 sudo,
Suggests:
 btrfs-progs,
 e2fsprogs,
 xfsprogs,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	set -e && set -x && for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		PYTHON=python$$pyvers PYTHONPATH=. python$$pyvers -m pytest -v tests/unittests --ignore-glob $(CURDIR)/tests/unittests/test_datasource/test_opennebula.py ; \
	done

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-final

override_dh_installsystemd:
	dh_installsystemd --no-restart-on-upgrade --no-start

override_dh_auto_clean:
	rm -rf .pybuild .pytest_cache build

## cloud-init 24.3.1

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Used for untemplating any files or strings with parameters.
 jinja2
 
-# This one is currently only used by the MAAS datasource. If that
-# datasource is removed, this is no longer needed
+# This one is currently only used by the MAAS datasource and the Event
+# reporting feature when configured to use webhooks.
 oauthlib
 
 # This one is currently used only by the CloudSigma and SmartOS datasources.

=== debian/changelog ===
cloud-init (24.3.1-2) unstable; urgency=medium

  * d/control: replace dhcpcd with dhcpcd-base in Depends (Closes: #1082897)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 02 Oct 2024 10:18:12 -0400

cloud-init (24.3.1-1) unstable; urgency=medium

  * New upstream version 24.3.1 (Closes: #1078180)
  * Refresh patches
  * Add no-op /etc/init.d/cloud-init-main to ensure corresponding init scripts
    exist for each systemd unit
  * Ensure cloud-init-main.service conflicts with shutdown.target
  * Update lintian overrides for /lib/systemd -> /usr/lib/systemd change
  * Refresh default cloud.cfg
  * Fix python3 compatibility in postinst (Closes: #1055890)
  * Prefer the dhcpcd DHCP client implementation (Closes: #1080999)
  * Drop netdev from the default user's supplemental groups (Closes: #1055786)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 17 Sep 2024 12:18:42 -0400

=== debian/control ===
--- 
+++ 
@@ -48,9 +48,10 @@
  eject,
  fdisk | util-linux (<< 2.29.2-3~),
  gdisk,
- udhcpc | isc-dhcp-client,
+ dhcpcd-base | udhcpc | isc-dhcp-client,
  locales,
  lsb-release,
+ netcat-openbsd,
  procps,
  ${misc:Depends},
  ${python3:Depends},

## cloud-init 24.4~3+really24.3.1

=== debian/changelog ===
cloud-init (24.4~3+really24.3.1-0ubuntu4) oracular; urgency=medium

  * Bug fix release (LP: #2081124):
    d/p/cpick-hotplugd-systemd-ordering-fix.patch: fix systemd ordering cycle
    issues with network cloud-init-hotplugd.socket, NetworkManager and
    dbus.socket by adding DefaultDependencies=no to cloud-init-hotplugd.socket.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 20 Sep 2024 15:31:13 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu3) oracular; urgency=medium

  * Bug fix release (LP: #2080688):
    d/p/cpick-nocloudnet-seedfrom-sysconfig-fix.patch fix NoCloudNet
    detection when seedfrom config provided in /etc/cloud/cloud.cfg/*.cfg

 -- Chad Smith <chad.smith@canonical.com>  Fri, 13 Sep 2024 14:44:45 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu2) oracular; urgency=medium

  * d/cloud-init.postinst: fix MAAS preseed provisioning by replacing
    handle_preseed_maas and handle_preseed_local_cloud_config functions
    which were removed in commit cf13fd126 (GH-5685)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Sep 2024 13:41:14 -0600

cloud-init (24.4~3+really24.3.1-0ubuntu1) oracular; urgency=medium

  * d/cloud-init.lintian-overrides:
    + Remove alien disabled tag:
      alien-tag package-supports-alternative-init-but-no-init.d-script
  * Upstream snapshot based on 24.3.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.3.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Wed, 04 Sep 2024 15:55:20 -0600

cloud-init (24.4~2g2e4c39b7-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 2e4c39b7.

 -- Chad Smith <chad.smith@canonical.com>  Thu, 15 Aug 2024 10:10:28 -0600

cloud-init (24.4~1gedd92b71-0ubuntu1) oracular; urgency=medium

  * Add netcat dependency
  * Upstream snapshot based on edd92b71.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 13 Aug 2024 06:38:07 -0600

cloud-init (24.3~1g6e4153b3-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 6e4153b3.
    - Bugs fixed in this snapshot: (LP: #2065787)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 19 Jul 2024 17:09:53 +0200

cloud-init (24.2~5g8c396a4b-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 8c396a4b.

 -- Chad Smith <chad.smith@canonical.com>  Wed, 26 Jun 2024 12:30:42 -0600

cloud-init (24.2~4g5f40426f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 5f40426f.
    - Bugs fixed in this snapshot: (LP: #2066985)
      The fix for this bug in the previous release was only a
      partial fix.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Jun 2024 12:52:40 -0500

cloud-init (24.2~3ge68c8c74-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at e68c8c74.
    - Bugs fixed in this snapshot: (LP: #2066979, #2066985)

 -- James Falcon <james.falcon@canonical.com>  Fri, 24 May 2024 12:08:51 -0500

cloud-init (24.2~2g51c6569f-0ubuntu1) oracular; urgency=medium

  * Upstream snapshot based on upstream/main at 51c6569f.
    - Bugs fixed in this snapshot: (LP: #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 15:34:25 -0600

cloud-init (24.2~1g370e680c-0ubuntu1) oracular; urgency=medium

  * d/control: Remove netifaces
  * Upstream snapshot based on upstream/main at 370e680c.
    - Bugs fixed in this snapshot: (LP: #2047796, #2064132)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 10:50:46 -0600

=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               iproute2,
               po-debconf,
               python3,
               python3-configobj,
               python3-debconf,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-pytest-mock,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml,
               python3-responses,
               python3-passlib
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         dhcpcd-base,
         iproute2,
         netcat-openbsd,
         netplan.io,
         procps,
         python3,
         python3-debconf,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
Suggests: openssh-server, ssh-import-id
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

## cloud-init 24.4

=== debian/changelog ===
cloud-init (24.4-0ubuntu1) plucky; urgency=medium

  * debian: Rename cloud-init to cloud-init-base
    + Add infrastructure to be able to express cloud-specific cloud-init
      binary packages.
    + Keep a cloud-init metapackage to install every possible dependency and
      be able to operate on any platform
    + Add `Breaks:` and `Replaces:` dependency with
      cloud-init <= 24.4~2g2e4c39b7-0ubuntu1
      to adopt and own files from cloud-init in cloud-init-base.
  * d/cloud-init-base.{config,postinst}:
    + Handle migration of debconf values migrating cloud-init/* values to
      cloud-init-base/*.
  * d/control: add cloud-sigma and smart-os packages
    + Add cloud-init-cloud-sigma and cloud-init-smart-os binary packages
    depending on cloud-init-base and python3-serial.
    + Removes python3-serial from cloud-init-base and add it to cloud-init.
  * d/cloud-init-base.templates:
    + Add warning about image portability to dpkg-reconfigure.
  * d/NEWS: add news about cloud-specific packages
  * d/po/templates.pot and cloud-init.templates: enable CloudCIX by default.
  * d/cloud-init-base.{config,postinst}:
    + Drop noop clean-up of cloud-init/* debconf values
  * Upstream snapshot based on 24.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog
    - Bugs fixed in this snapshot: (LP: #1992853)

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 10:42:33 -0600

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: cloud-init
+Package: cloud-init-base
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
          dhcpcd-base,
@@ -39,11 +39,39 @@
          python3,
          python3-debconf,
          python3-requests,
-         python3-serial,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
 Suggests: openssh-server, ssh-import-id
+Replaces: cloud-init (<= 24.4~3+really24.3.1-0ubuntu4)
+Breaks: cloud-init (<= 24.4~3+really24.3.1-0ubuntu4)
+Description: initialization and customization tool for cloud instances
+ Cloud-init with minimal dependencies, refer to cloud-init for more
+ information.
+
+Package: cloud-init-cloud-sigma
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         ${misc:Depends},
+Description: Cloud Sigma specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Cloud Sigma.
+
+Package: cloud-init-smart-os
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         ${misc:Depends},
+Description: Smart OS specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Smart OS.
+
+Package: cloud-init
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         ${misc:Depends},
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
@@ -62,3 +90,5 @@
  access key and many other aspects of a system. Later on the cloud-init will
  also parse and process any optional user or vendor data that was passed to
  the instance.
+ .
+ This is a metapackage that includes every cloud-init dependency.

## cloud-init 24.4.1

=== debian/changelog ===
cloud-init (24.4.1-0ubuntu0~20.04.3) focal; urgency=medium

  * cherry-pick 7a0265d3: fix: ensure MAAS datasource retries on failure
    (#6167) (LP: #2106671)

 -- James Falcon <james.falcon@canonical.com>  Fri, 23 May 2025 15:43:28 -0500

cloud-init (24.4.1-0ubuntu0~20.04.2) focal; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 11:28:57 -0500

cloud-init (24.4.1-0ubuntu0~20.04.1) focal; urgency=medium

  * Add d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - Pull in the upstream commit that makes it easier to patch out the
      new systemd-networkd-wait-online behavior in e30549e8
  * Add d/p/cpick-b817a679-fix-retry-AWS-hotplug-for-async-IMDS.patch
    - Pull in the upstream commit works around a limitation in AWS's IMDS
      (GH-5971) (LP: #2097319)
  * Add d/p/no-remove-networkd-online.patch
    - Revert breaking change on stable release (LP: #2094149)
  * Update d/p/no-single-process.patch
    - This patch missed waiting for mounts (LP: #2097441)
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/drop-unsupported-systemd-condition-environment.patch
  * Upstream snapshot based on 24.4.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4.1/ChangeLog
    (LP: #2094179, #2094208, #2094857, #2094858)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 04 Feb 2025 17:28:31 -0700

cloud-init (24.4-0ubuntu1~20.04.1) focal; urgency=medium

  * add d/p/grub-dpkg-support.patch
    - Revert the removal of grub-dpkg from default modules
  * Move d/p/drop-unsupported-systemd-condition-environment.patch
    later in series and refresh as to not be overwritten by
    no-single-process.patch
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/expire-on-hashed-users.patch
    - d/p/keep-dhclient-as-priority-client.patch
    - d/p/netplan99-cannot-use-default.patch
    - d/p/no-nocloud-network.patch
    - d/p/no-single-process.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/status-do-not-remove-duplicated-data.patch
  * Upstream snapshot based on 24.4. (LP: #2089577).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 11:53:40 -0600

cloud-init (24.3.1-0ubuntu0~20.04.1) focal; urgency=medium

  * d/p/no-nocloud-network.patch: Remove nocloud network feature
  * d/p/no-single-process.patch: Remove single process optimization
  * Upstream snapshot based on upstream/main at c0ffdd4d.
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/drop-unsupported-systemd-condition-environment.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
    - d/p/netplan99-cannot-use-default.patch
  * Upstream snapshot based on 24.3.1. (LP: #2079224).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.3.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Sep 2024 12:18:20 -0600

cloud-init (24.2-0ubuntu1~20.04.1) focal; urgency=medium

  * d/control: remove netifaces due to GH-4634
  * drop d/p/do-not-block-user-login.patch:
    Upstream now has "Before=systemd-user-sessions" in cloud-init.service
  * d/p/drop-unsupported-systemd-condition-environment.patch:
    drop ConditionEnvironment from unit files because systemd 245.4 ignores
    those keys and emits warnings at systemctl status
  * d/p/add-deprecation-info-boundary.patch: Update
    DEPRECATION_INFO_BOUNDARY to ensure new deprecations don't trigger
    warnings.
  * refresh patches:
    - d/p/cli-retain-file-argument-as-main-cmd-arg.patch
    - d/p/keep-dhclient-as-priority-client.patch
    - d/p/netplan99-cannot-use-default.patch
    - d/p/retain-ec2-default-net-update-events.patch
    - d/p/retain-netplan-world-readable.patch
    - d/p/retain-old-groups.patch
    - d/p/status-do-not-remove-duplicated-data.patch
    - d/p/status-retain-recoverable-error-exit-code.patch
    - d/p/revert-551f560d-cloud-config-after-snap-seeding.patch
  * Upstream snapshot based on 24.2. (LP: #2071762).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.2/ChangeLog
  * drop all d/p/cpick-* files as they are included in upstream snapshot

 -- James Falcon <james.falcon@canonical.com>  Thu, 11 Jul 2024 16:36:14 -0500

cloud-init (24.1.3-0ubuntu1~20.04.5) focal; urgency=medium

  * Upstream bug fix release based on 24.1.7
    + functional fixes in debian/patches:
      - cpick-417ee551: fix(ec2): Ensure metadata exists before configuring PBR.
        (LP: #2066979)
      - cpick-d6776632: fix: Check renderer for netplan-specific code (#5321)
        (LP: #2066985)
      - cpick d771d1f4: fix(ec2): Correctly identify netplan renderer (#5361)
        (LP: #2066985)
    + test fixes in debian/patches:
      - cpick-74dc7cce: test: Fix failing test_ec2.py test (#5324)

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Jun 2024 12:40:38 -0500

cloud-init (24.1.3-0ubuntu1~20.04.4) focal; urgency=medium

  * cherry-pick 51c6569f: fix(snapd): ubuntu do not snap refresh when
    snap absent (LP: #2064132)
    - fix in 24.1.3-0ubuntu1~20.04.2 did not handle package_upgrade case

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 May 2024 15:38:58 -0600

cloud-init (24.1.3-0ubuntu1~20.04.3) focal; urgency=medium



=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               po-debconf,
               python3,
               python3-configobj,
               python3-debconf,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-pytest-mock,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml,
               python3-responses,
               python3-passlib
XS-Python-Version: all
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io,
         procps,
         python3,
         python3-debconf,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, python3-apt, software-properties-common
Suggests: openssh-server, ssh-import-id
XB-Python-Version: ${python:Versions}
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

INIT_SYSTEM ?= systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=python3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

override_dh_auto_install:
	dh_auto_install --destdir=debian/cloud-init
	install -D -m 0644 ./tools/21-cloudinit.conf debian/cloud-init/etc/rsyslog.d/21-cloudinit.conf
	install -D ./tools/Z99-cloud-locale-test.sh debian/cloud-init/etc/profile.d/Z99-cloud-locale-test.sh
	install -D ./tools/Z99-cloudinit-warnings.sh debian/cloud-init/etc/profile.d/Z99-cloudinit-warnings.sh
	install -m 0644 -D debian/apport-general-hook.py debian/cloud-init/usr/share/apport/general-hooks/cloud-init.py
	install -m 0644 -D debian/apport-launcher.py debian/cloud-init/usr/share/apport/package-hooks/cloud-init.py
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

## cloud-init 25.1~2g4ee65391

=== debian/changelog ===
cloud-init (25.1~2g4ee65391-0ubuntu1) plucky; urgency=medium

  * d/cloud-init-base.templates: Move VMware before OVF
    See GH-4030 and LP: #1992509
  * d/cloud-init-base.lintian-overrides: Update lintian
    warnings to use /usr/lib rather than /lib
  * Upstream snapshot based on upstream/main at 4ee65391.
    - Bugs fixed in this snapshot: 
      (LP: #2094179, #2094208, #2094857, #2094858) 

 -- James Falcon <james.falcon@canonical.com>  Tue, 14 Jan 2025 14:10:49 -0600

## cloud-init 25.1

=== debian/changelog ===
cloud-init (25.1-1) unstable; urgency=medium

  * New upstream version 25.1
  * Rebase 0001-config-Support-APT-automated-mirror-selection.patch

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Feb 2025 16:46:27 -0500

cloud-init (24.4.1-2) unstable; urgency=medium

  * Add python3-passlib to Suggests (Closes: #1093885)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 23 Jan 2025 16:36:16 -0500

cloud-init (24.4.1-1) unstable; urgency=medium

  * New upstream version 24.4.1
  * Switch build-deps from python3-pep to python3-pycodestyle (Closes: 1092997)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Jan 2025 12:24:22 -0500

cloud-init (24.4-1) unstable; urgency=medium

  * New upstream version 24.4
  * Drop debian/patches/systemd-service-file-shutdown-problems.patch

 -- Noah Meyerhans <noahm@debian.org>  Wed, 04 Dec 2024 16:38:36 -0500

## cloud-init 25.1.1

=== debian/changelog ===
cloud-init (25.1.1-0ubuntu2) plucky; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)

 -- James Falcon <james.falcon@canonical.com>  Fri, 28 Mar 2025 16:43:14 -0500

cloud-init (25.1.1-0ubuntu1) plucky; urgency=medium

  * Upstream bug fix release based on upstream bugfix 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog
  * d/patches: remove all cpick* quilt patches due to upstream snapshot

 -- James Falcon <james.falcon@canonical.com>  Mon, 24 Mar 2025 15:02:52 -0500

cloud-init (25.1-0ubuntu3) plucky; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb 

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 15:47:53 -0500

cloud-init (25.1-0ubuntu2) plucky; urgency=medium

  * d/control: add python3-passlib dependency to cloud-init
    metapackage. (LP: #2098988)

 -- James Falcon <james.falcon@canonical.com>  Tue, 25 Feb 2025 08:16:55 -0600

cloud-init (25.1-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on 25.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Thu, 20 Feb 2025 14:32:56 -0600

cloud-init (25.1~3geb1965a4-0ubuntu1) plucky; urgency=medium

  * Upstream snapshot based on upstream/main at eb1965a4.

 -- James Falcon <james.falcon@canonical.com>  Wed, 05 Feb 2025 10:20:41 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://cloud-init.io/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                iproute2,
                po-debconf,
@@ -23,28 +23,56 @@
                python3-yaml,
                python3-responses,
                python3-passlib
-XS-Python-Version: all
 Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
 Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: cloud-init
+Package: cloud-init-base
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         isc-dhcp-client,
+         dhcpcd-base,
          iproute2,
+         netcat-openbsd,
          netplan.io,
          procps,
          python3,
          python3-debconf,
          python3-requests,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
+Suggests: openssh-server, ssh-import-id
+Replaces: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base 
+Breaks: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base
+Description: initialization and customization tool for cloud instances
+ Cloud-init with minimal dependencies, refer to cloud-init for more
+ information.
+
+Package: cloud-init-cloud-sigma
+Architecture: all
+Depends: cloud-init-base,
          python3-serial,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: eatmydata, gdisk, python3-apt, software-properties-common
-Suggests: openssh-server, ssh-import-id
-XB-Python-Version: ${python:Versions}
+Description: Cloud Sigma specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Cloud Sigma.
+
+Package: cloud-init-smart-os
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         ${misc:Depends},
+Description: Smart OS specific cloud-init
+ This metapackage depends on cloud-init-base and additional packages for
+ Smart OS.
+
+Package: cloud-init
+Architecture: all
+Depends: cloud-init-base,
+         python3-serial,
+         python3-passlib,
+         ${misc:Depends},
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
@@ -63,3 +91,5 @@
  access key and many other aspects of a system. Later on the cloud-init will
  also parse and process any optional user or vendor data that was passed to
  the instance.
+ .
+ This is a metapackage that includes every cloud-init dependency.

## cloud-init 25.1.2

=== debian/changelog ===
cloud-init (25.1.2-0ubuntu0~24.10.1) oracular; urgency=medium

  * Upstream snapshot based on 25.1.2. (LP: #2104165).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.2/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 May 2025 14:45:54 -0500

cloud-init (25.1.1-0ubuntu1~24.10.1) oracular; urgency=medium

  * Drop cpicks which are now upstream:
    - d/p/cpick-582f16c1-test-add-OauthUrlHelper-tests
    - d/p/cpick-8810a2dc-test-Remove-CiTestCase-from-test_url_helper.py
    - d/p/cpick-9311e066-fix-Update-OauthUrlHelper-to-use-readurl-exception_cb
    - d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - d/p/cpick-c60771d8-test-pytestify-test_url_helper.py
    - d/p/cpick-d75840be-fix-retry-AWS-hotplug-for-async-IMDS-5995
  * refresh patches:
    - d/p/deprecation-version-boundary.patch
    - d/p/grub-dpkg-support.patch
    - d/p/no-remove-networkd-online.patch
  * sort hunks within all patches (--sort on quilt refresh)
  * d/cloud-init.templates:
    - Move VMware before OVF. See GH-4030
    - Enable CloudCIX by default
  * Upstream snapshot based on 25.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/25.1.1/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 25 Mar 2025 12:13:57 -0600

cloud-init (24.4.1-0ubuntu0~24.10.3) oracular; urgency=medium

  * d/control: Fix how cloud-init-base overwrites cloud-init files.
    (LP: #2092333)

 -- James Falcon <james.falcon@canonical.com>  Wed, 02 Apr 2025 10:02:44 -0500

cloud-init (24.4.1-0ubuntu0~24.10.2) oracular; urgency=medium

  * cherry-pick fixes for MAAS traceback (LP: #2100963)
    - cherry-pick c60771d8: test: pytestify test_url_helper.py
    - cherry-pick 8810a2dc: test: Remove CiTestCase from
      test_url_helper.py
    - cherry-pick 582f16c1: test: add OauthUrlHelper tests
    - cherry-pick 9311e066: fix: Update OauthUrlHelper to use readurl
      exception_cb

 -- James Falcon <james.falcon@canonical.com>  Thu, 13 Mar 2025 14:46:38 -0500

cloud-init (24.4.1-0ubuntu0~24.10.1) oracular; urgency=medium

  * Add d/p/no-remove-networkd-online.patch
    - Revert breaking change on stable release (LP: #2094149)
  * Add d/p/cpick-84806336-chore-Add-feature-flag-for-manual-network-waiting
    - Pull in the upstream commit that makes it easier to patch out the
      new systemd-networkd-wait-online behavior in e30549e8
  * Add d/p/cpick-b817a679-fix-retry-AWS-hotplug-for-async-IMDS.patch
    - Pull in the upstream commit works around a limitation in AWS's IMDS
      (GH-5971) (LP: #2097319)
  * Upstream snapshot based on 24.4.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4.1/ChangeLog
    (LP: #2094179, #2094208, #2094857, #2094858)

 -- Brett Holman <brett.holman@canonical.com>  Tue, 04 Feb 2025 17:43:49 -0700

cloud-init (24.4-0ubuntu1~24.10.1) oracular; urgency=medium

  * drop all d/p/cpick-* files as they are included in upstream snapshot
  * add d/p/deprecation-version-boundary.patch:
    - Pin deprecation version to 24.3
  * add d/p/grub-dpkg-support.patch
    - Revert the removal of grub-dpkg from default modules
  * Upstream snapshot based on 24.4. (LP: #2089577).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Mon, 25 Nov 2024 11:49:48 -0600

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
-Package: cloud-init-base
+Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
          dhcpcd-base,
@@ -39,40 +39,12 @@
          python3,
          python3-debconf,
          python3-requests,
+         python3-serial,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: eatmydata, gdisk, gnupg, python3-apt, software-properties-common
 Suggests: openssh-server, ssh-import-id
-Replaces: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base 
-Breaks: cloud-init (<< 25.1.1-0ubuntu2~), cloud-init-base
-Description: initialization and customization tool for cloud instances
- Cloud-init with minimal dependencies, refer to cloud-init for more
- information.
-
-Package: cloud-init-cloud-sigma
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         ${misc:Depends},
-Description: Cloud Sigma specific cloud-init
- This metapackage depends on cloud-init-base and additional packages for
- Cloud Sigma.
-
-Package: cloud-init-smart-os
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         ${misc:Depends},
-Description: Smart OS specific cloud-init
- This metapackage depends on cloud-init-base and additional packages for
- Smart OS.
-
-Package: cloud-init
-Architecture: all
-Depends: cloud-init-base,
-         python3-serial,
-         python3-passlib,
-         ${misc:Depends},
+Provides: cloud-init-base
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
@@ -91,5 +63,3 @@
  access key and many other aspects of a system. Later on the cloud-init will
  also parse and process any optional user or vendor data that was passed to
  the instance.
- .
- This is a metapackage that includes every cloud-init dependency.

## cloud-init 25.1.4

=== Makefile ===
CWD=$(shell pwd)
VARIANT ?= ubuntu

YAML_FILES=$(shell find cloudinit tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

PYTHON ?= python3

NUM_ITER ?= 100

distro ?= redhat

READ_VERSION=$(shell $(PYTHON) $(CWD)/tools/read-version || echo read-version-failed)
CODE_VERSION=$(shell $(PYTHON) -c "from cloudinit import version; print(version.version_string())")
GENERATOR_F=./systemd/cloud-init-generator
DS_IDENTIFY=./tools/ds-identify
BENCHMARK=./tools/benchmark.sh


all: check

check: check_version test yaml

style-check: lint

lint:
	@$(CWD)/tools/run-lint

unittest: clean_pyc
	$(PYTHON) -m pytest -v tests/unittests cloudinit

render-template:
	$(PYTHON) ./tools/render-template --variant=$(VARIANT) $(FILE) $(subst .tmpl,,$(FILE))

# from systemd-generator(7) regarding generators:
# "We do recommend C code however, since generators are executed
# synchronously and hence delay the entire boot if they are slow."
#
# Our generator is a shell script. Make it easy to measure the
# generator. This should be monitored for performance regressions
benchmark-generator: FILE=$(GENERATOR_F).tmpl
benchmark-generator: VARIANT="benchmark"
benchmark-generator: export ITER=$(NUM_ITER)
benchmark-generator: render-template
	$(BENCHMARK) $(GENERATOR_F)

benchmark-ds-identify: export ITER=$(NUM_ITER)
benchmark-ds-identify:
	$(BENCHMARK) $(DS_IDENTIFY)

ci-deps-ubuntu:
	@$(PYTHON) $(CWD)/tools/read-dependencies --distro ubuntu --test-distro

ci-deps-centos:
	@$(PYTHON) $(CWD)/tools/read-dependencies --distro centos --test-distro

test: unittest

check_version:
	@if [ "$(READ_VERSION)" != "$(CODE_VERSION)" ]; then \
		echo "Error: read-version version '$(READ_VERSION)'" \
			"not equal to code version '$(CODE_VERSION)'"; \
		exit 2; \
	else true; fi

config/cloud.cfg:
	$(PYTHON) ./tools/render-template --is-yaml config/cloud.cfg.tmpl config/cloud.cfg

clean_pyc:
	@find . -type f -name "*.pyc" -delete
	@find . -type d -name __pycache__ -delete

clean_pytest:
	rm -rf .cache htmlcov

clean_packaging:
	rm -rf srpm cloud_init.egg-info/ \
		cloud-init-*.tar.gz \
		cloud-init-*.tar.gz.asc \
		cloud-init.dsc \
		cloud-init_*.build \
		cloud-init_*.buildinfo \
		cloud-init_*.changes \
		cloud-init_*.deb \
		cloud-init_*.dsc \
		cloud-init_*.orig.tar.gz \
		cloud-init_*.tar.xz \
		cloud-init_*.upload

clean_release:
	rm -rf new-upstream-changes.txt commit.msg

clean: clean_pyc clean_pytest clean_packaging clean_release
	rm -rf doc/rtd_html .tox .coverage tags $(GENERATOR_F)

yaml:
	@$(PYTHON) $(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	$(PYTHON) ./packages/brpm --distro=$(distro)

srpm:
	$(PYTHON) ./packages/brpm --srpm --distro=$(distro)

deb:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
			echo sudo apt-get install devscripts; exit 1; }

	$(PYTHON) ./packages/bddeb

deb-src:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
			echo sudo apt-get install devscripts; exit 1; }
	$(PYTHON) ./packages/bddeb -S -d

doc:
	tox -e doc

fmt:
	tox -e do_format && tox -e check_format

fmt-tip:
	tox -e do_format_tip && tox -e check_format_tip


.PHONY: all check test lint clean rpm srpm deb deb-src yaml
.PHONY: check_version clean_pyc
.PHONY: unittest style-check render-template benchmark-generator
.PHONY: clean_pytest clean_packaging clean_release doc

=== debian/changelog ===
cloud-init (25.1.4-1) unstable; urgency=medium

  * New upstream version 25.1.4 (Closes: #1108402, #1108403)
    - Fixes CVE-2024-6174
    - Fixes CVE-2024-11584

 -- Noah Meyerhans <noahm@debian.org>  Mon, 07 Jul 2025 15:13:38 -0400

cloud-init (25.1.1-1) unstable; urgency=medium

  * New upstream version 25.1.1

 -- Noah Meyerhans <noahm@debian.org>  Mon, 24 Mar 2025 15:35:46 -0400

=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 iproute2,
 passwd,
 po-debconf,
 procps <!nocheck>,
 pkgconf,
 pylint,
 python3-all,
 python3-pycodestyle,
 python3-setuptools,
 systemd-dev | systemd,
Build-Depends-Indep:
 python3-configobj,
 python3-httpretty (>= 0.9.5),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-netifaces,
 python3-oauthlib,
 python3-passlib,
 python3-pyflakes,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-responses,
 python3-serial,
 python3-yaml,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-init
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Conflicts: firewalld, cloud-init-22.4.2
Replaces: cloud-init-22.4.2
Depends:
 eject,
 fdisk | util-linux (<< 2.29.2-3~),
 gdisk,
 dhcpcd-base | udhcpc | isc-dhcp-client,
 locales,
 lsb-release,
 netcat-openbsd,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cloud-guest-utils,
 eatmydata,
 sudo,
Suggests:
 btrfs-progs,
 e2fsprogs,
 python3-passlib,
 xfsprogs,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	set -e && set -x && for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		PYTHON=python$$pyvers PYTHONPATH=. python$$pyvers -m pytest -v tests/unittests --ignore-glob $(CURDIR)/tests/unittests/test_datasource/test_opennebula.py ; \
	done

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-init-main
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-stop-on-upgrade --name cloud-final

override_dh_installsystemd:
	dh_installsystemd --no-restart-on-upgrade --no-start

override_dh_auto_clean:
	rm -rf .pybuild .pytest_cache build

## cloud-init 25.2~5g009c4cfd

=== debian/changelog ===
cloud-init (25.2~5g009c4cfd-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at 009c4cfd.
    - Bugs fixed in this snapshot:
      + fix: disable cloud-init when non-x86 environments have no DMI-data
        and no strict datasources detected (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 14:58:26 -0600

cloud-init (25.2~4geb9c1239-0ubuntu2) questing; urgency=medium

  * d/changelog: correct switched CVE references in prior release changelog
    entry for 25.2~4geb9c1239-0ubuntu1 

 -- Chad Smith <chad.smith@canonical.com>  Tue, 24 Jun 2025 10:11:34 -0600

cloud-init (25.2~4geb9c1239-0ubuntu1) questing; urgency=medium

  * d/cloud-init-base.postinst: move existing hotplug-cmd fifo to root-only
    share dir (CVE-2024-11584)
  * Upstream snapshot based on upstream/main at eb9c1239.
    - Bugs fixed in this snapshot: (LP: #2069607)
    - security: make hotplug socket only writable by root (CVE-2024-11584)
    - security: make ds-identify behavior strict datasource discovery on
      non-x86 platforms without DMI data (LP: #2069607) (CVE-2024-6174)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 12 Jun 2025 13:24:29 -0600

cloud-init (25.2~3gf731cdf3-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at f731cdf3.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Jun 2025 14:05:17 -0600

cloud-init (25.2~2ge2bef781-0ubuntu1) questing; urgency=medium

  * Upstream snapshot based on upstream/main at e2bef781.
    - Bugs fixed in this snapshot: (LP: #2100232)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 12 May 2025 17:46:37 -0600

cloud-init (25.2~1g7a0265d3-0ubuntu1) questing; urgency=medium

  * d/control: add Azure metapackage
    + New Azure binary package depending on cloud-init-base and
      python3-passlib.
  * d/cloud-init-base.preinst: avoid sed of /etc/fstab when absent
  * Upstream snapshot based on upstream/main at 7a0265d3.
    - Bugs fixed in this snapshot: (LP: #2106671)

 -- James Falcon <james.falcon@canonical.com>  Thu, 17 Apr 2025 13:27:07 -0500
